Subject: Capital letters do not work when using vi as git editor

From: "Daniel Dyk" <[email-masked]>
Date: Thu, 25 Jun 2020 10:21:36 +0000

Hi git-devs,

I installed git 2.27.0 on a fresh Windows 10 system, there where no old installations of mingw or git. Unfortunatly I have encountered a bug with vim when doing 'git rebase -i' or 'git commit':

I am not able to type capital letters, so commands for selecting rows (<Shift>V), pasting above (<Shift>P) etc are not working. I am also not able to type 'ABCDE' in insertion mode. Small letters and capital umlauts (ÄÖÜ) work. If I open the vi without git, I can type the capital letters. If I use nano as editor, I can type capital letters as well. 

Downgrading to git 2.24.1.2 solved the problem for now (I double checked and reinstalled 2.27.0 again => same issue).

Regards

Daniel Dyk

___________________________________________________________________

Daniel Dyk
Software Developer

IfTA Ingenieurbuero fuer Thermoakustik GmbH
Junkersstrasse 8
D-82178 Puchheim 
Germany 

Tel. +49-89-8392719-42
Fax +49-89-8392719-11
http://www.ifta.com

Geschaeftsfuehrer: Dr.-Ing. Jakob Hermann
Handelsregister: Amtsgericht Muenchen HRB 114 602 
Umsatzsteuer-ID: DE 812 240 350

IfTA's Datenschutzerklärung finden Sie hier: https://www.ifta.com/de/unternehmen/datenschutzerklärung
For IfTA's privacy policy please go to: https://www.ifta.com/en/company/privacy-policy 
___________________________________________________________________

Mit freundlichen Grüßen

Daniel Dyk

___________________________________________________________________

Daniel Dyk
Software Entwickler

IfTA Ingenieurbuero fuer Thermoakustik GmbH
Junkersstrasse 8
D-82178 Puchheim 
Germany 

Tel. +49-89-8392719-42
Fax +49-89-8392719-11
http://www.ifta.com

Geschaeftsfuehrer: Dr.-Ing. Jakob Hermann
Handelsregister: Amtsgericht Muenchen HRB 114 602 
Umsatzsteuer-ID: DE 812 240 350

IfTA's Datenschutzerklärung finden Sie hier: https://www.ifta.com/de/unternehmen/datenschutzerklärung
For IfTA's privacy policy please go to: https://www.ifta.com/en/company/privacy-policy 
______________________________________________________________________________________________________